<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'realestate',

    /*
     * Package.
     */
    'package'   => 'place',

    /*
     * Modules.
     */
    'modules'   => ['district', 
'city'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    'district'       => [
        'model' => [
            'model'                 => \Realestate\Place\Models\District::class,
            'table'                 => 'districts',
            'presenter'             => \Realestate\Place\Repositories\Presenter\DistrictItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'user_id',  'slug',  'name',  'description',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'place/district',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Place',
            'module'    => 'District',
        ],

    ],

    'city'       => [
        'model' => [
            'model'                 => \Realestate\Place\Models\City::class,
            'table'                 => 'cities',
            'presenter'             => \Realestate\Place\Repositories\Presenter\CityItemPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at'],
            'appends'               => [],
            'fillable'              => ['user_id', 'id',  'user_id',  'district_id',  'slug',  'name',  'description',  'status',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'place/city',
            'uploads'               => [],
            'casts'                 => [],
            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Realestate',
            'package'   => 'Place',
            'module'    => 'City',
        ],

    ],
];
